package cv8.beans;

import java.io.Serializable;
import java.util.Collection;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;
import javax.enterprise.context.SessionScoped;
import javax.inject.Named;

@Named(value = "uzivatele")
@SessionScoped
public class UserBean implements Serializable {

    private final Map<UUID, User> users = new HashMap<>();
    private User editedUser;

    public UserBean() {
        UUID id = UUID.randomUUID();
        users.put(id, new User(id, "a", "a", "Alojs", "Testovic"));
        id = UUID.randomUUID();
        users.put(id, new User(id, "b", "b", "Bedrich", "Testovic"));
        id = UUID.randomUUID();
        users.put(id, new User(id, "c", "c", "Cecilie", "Testovic"));
        id = UUID.randomUUID();
        users.put(id, new User(id, "d", "d", "David", "Testovic"));
    }

    public Collection<User> getAllUsers() {
        return users.values();
    }

    public User getEditedUser() {
        return editedUser;
    }

    public void setEditedUser(User editedUser) {
        this.editedUser = editedUser;
    }

    public String save() {
        return "index";
    }

    public String edit(User user) {
        editedUser = user;
        return "editUser";
    }

    public User getUser(String value) {
        try {
            UUID id = UUID.fromString(value);
            return users.get(id);
        } catch (Exception e) {
            return null;
        }
    }
}
